Bug 484279 - Review Request: BareBonesBrowserLaunch - Simple library to launch a browser window from Java
Review Request: BareBonesBrowserLaunch - Simple library to launch a browser w...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 484281
  Show dependency treegraph
 
Reported: 2009-02-05 15:37 EST by John Matthews
Modified: 2010-01-06 16:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-06 16:48:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2009-02-05 15:37:06 EST
Spec URL: http://jmatthews.fedorapeople.org/BareBonesBrowserLaunch/1.5/1/BareBonesBrowserLaunch.spec
SRPM URL: http://jmatthews.fedorapeople.org/BareBonesBrowserLaunch/1.5/1/BareBonesBrowserLaunch-1.5-1.fc9.src.rpm
Description: 
Utility class to open a web page from a Swing application in the user's 
default browser. Supports: Mac OS X, GNU/Linux, Unix, Windows XP
Comment 1 John Matthews 2009-03-25 12:52:32 EDT
Does anyone have time to review this? It's part of work required to get hadoop/nutch packaged.
Comment 2 Dan Horák 2009-03-25 13:46:47 EDT
formal review is here, see the notes below:

OK	source files match upstream, checked with diff
OK	package meets naming and versioning guidelines.
OK*	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	license field matches the actual license.
OK	license is open source-compatible.
OK	latest version is being packaged.
OK	BuildRequires are proper.
N/A	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
N/A	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
BAD	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK*	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

- move the *.class removal from %build to %prep
- the %files section for the main package must contain only the *.jar, not the whole %{_javadir}, use %{_javadir}/*
- use plain %defattr(-,root,root,-) for the javadoc subpackage
- the javadoc documentation shouldn't be marked as %doc and %{_javadocdir}/%{name} directory should exist, other packages create this as a symlink to the versioned directory
- all the points above are based on https://fedoraproject.org/wiki/Packaging/Java
Comment 3 Vedran Miletić 2009-11-04 17:22:26 EST
Hi, is anyone working on this? I'm very interested in having Hadoop in Fedora, and willing to help it happen if I can.
Comment 4 John Matthews 2009-11-12 10:35:18 EST
Hello Vedran,

If you would like to pick this up, and finish the packaging, feel free.  

As to the work done for bringing Hadoop into Fedora.  We created a wiki page for Spacewalk below, listing out the deps and what was needed, as you'll see this was for an older Nutch/Hadoop.

https://fedorahosted.org/spacewalk/wiki/GettingPackagesIntoFedora/Nutch


Regards,
John
Comment 5 Vedran Miletić 2009-11-12 11:18:31 EST
Sure, I will look into it these days and see if I can do something.

Can Cloudera packages be helpful in this case?
Comment 6 Orion Poplawski 2009-12-28 18:58:24 EST
How about this:

http://www.cora.nwra.com/~orion/fedora/BareBonesBrowserLaunch-2.0-1.fc12.src.rpm
http://www.cora.nwra.com/~orion/fedora/BareBonesBrowserLaunch.spec

* Mon Dec 28 2009 Orion Poplawski <orion@cora.nwra.com> 2.0-1
- Update to 2.0
- Use upstream jar source directly
- Cleanup spec
Comment 7 Dan Horák 2010-01-05 06:15:48 EST
(In reply to comment #6)
> How about this:
> 
> http://www.cora.nwra.com/~orion/fedora/BareBonesBrowserLaunch-2.0-1.fc12.src.rpm
> http://www.cora.nwra.com/~orion/fedora/BareBonesBrowserLaunch.spec
> 
> * Mon Dec 28 2009 Orion Poplawski <orion@cora.nwra.com> 2.0-1
> - Update to 2.0
> - Use upstream jar source directly
> - Cleanup spec  

Orion, do you want to step in as the submitter/maintainer?
Comment 8 Orion Poplawski 2010-01-05 10:17:09 EST
(In reply to comment #7)
> Orion, do you want to step in as the submitter/maintainer?  

I'm happy to do so.
Comment 9 Dan Horák 2010-01-06 06:55:17 EST
Ok, then lets continue. All issues from comment #2 besides one are fixed in the latest spec file. What remains is non-existency of non-versioned directory with the javadoc documentation as written in the guidelines for Java packages. Adding a non-versioned symlink is also possible.
Comment 11 Dan Horák 2010-01-06 10:52:08 EST
Thanks, the package is now APPROVED.
Comment 12 Orion Poplawski 2010-01-06 11:07:53 EST
New Package CVS Request
=======================
Package Name:  BareBonesBrowserLaunch
Short Description: Simple library to launch a browser window from Java
Owners: orion
Branches: F-12 F-11 EL-5
InitialCC:
Comment 13 Kevin Fenzi 2010-01-06 16:33:52 EST
cvs done.
Comment 14 Orion Poplawski 2010-01-06 16:48:47 EST
Checked in and built.  Updates to follow shortly.  Thanks all...

Note You need to log in before you can comment on or make changes to this bug.